Subject: bug#24674: Dropbear bundled libraries

From: zimoun <[email-masked]>
Date: Fri, 18 Dec 2020 20:53:23 +0100

Hi,

On Wed, 12 Oct 2016 at 11:15, Leo Famulari <[email-masked]> wrote:
> Our Dropbear package bundles the libraries libtommath and libtomcrypt
> [0], and their bundled changelogs imply that they date from 2006.

Since the package still contains the comment:

--8<---------------cut here---------------start------------->8---
    (arguments `(#:tests? #f))  ; there is no "make check" or anything similar
    ;; TODO: Investigate unbundling libtommath and libtomcrypt or at least
    ;; cherry-picking important bug fixes from them. See <bugs.gnu.org/24674>
    ;; for more information.
--8<---------------cut here---------------end--------------->8---

with the last update 2020-10-29, I propose to mark it as ’severe’ and
put it in the list of bugs which should be fixed for the next (or
next-next) release.  WDYT?

All the best,
simon